---
- name: Set hostname using systemd on RHEL
  ansible.builtin.hostname:
    name: '{{ hostname }}'
    use: 'systemd'
  when: >-
    hostname is defined
    and ansible_distribution in ('CentOS', 'Rocky', 'AlmaLinux')
  become: true
- name: Set hostname using systemd on Debian
  ansible.builtin.hostname:
    name: '{{ hostname | split(".") | first }}'
    use: 'systemd'
  when: >-
    hostname is defined
    and ansible_distribution in ('Ubuntu', 'Debian')
  become: true
